[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# IsColorDefault

Determines if the color for the control is the system default (GTK).

## Declaration

Source position: controls.pp line 2777

`function IsColorDefault(`
`AControl: TControl`
`):Boolean;`

## Arguments

`AControl` |  | Control with the color value examined in the routine.

## Function result

True if the specified control does not have an explicit value other than the default color value ($80000000).

## Description

Used by GTK-based widgetset classes to determine if the color in a control needs to be compared to the SYS_COLOR_BASE value used in the widgetset.